Bug 974278 - Thinkpad acpi crash, native driver fail
Thinkpad acpi crash, native driver fail
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 16:05 EDT by Zoltan Hoppar
Modified: 2014-02-05 16:48 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:48:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zoltan Hoppar 2013-06-13 16:05:37 EDT
Description of problem:

uhci_hcd 0000:00:1a.1: power state changed by ACPI to D2
[    9.949295] uhci_hcd 0000:00:1d.0: power state changed by ACPI to D2
[    9.956038] ehci-pci 0000:00:1a.7: power state changed by ACPI to D3cold
[    9.960957] ACPI Warning: 0x0000000000001028-0x000000000000102f SystemIO conflicts with Region \_SB_.PCI0.LPC_.PMIO 1 (20130117/utaddress-251)
[    9.960964] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    9.960968] ACPI Warning: 0x00000000000011b0-0x00000000000011bf SystemIO conflicts with Region \_SB_.PCI0.LPC_.LPIO 1 (20130117/utaddress-251)
[    9.960973] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    9.960974] ACPI Warning: 0x0000000000001180-0x00000000000011af SystemIO conflicts with Region \_SB_.PCI0.LPC_.LPIO 1 (20130117/utaddress-251)
[    9.960978] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[    9.960980] lpc_ich: Resource conflict(s) found affecting gpio_ich

 
Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Every kernel producing, and can be read in dmesg

Actual results:
The native driver is unusable for thinkpad X61, maybe it's a missing parameter, no clue - but with this the laptop almost burns.

Expected results:
Chilled laptop, no acpi collosion

Additional info:
Comment 1 Josh Boyer 2013-10-31 10:18:59 EDT
Is this still happening with 3.11.4 or newer?
Comment 2 Zoltan Hoppar 2013-10-31 13:18:26 EDT
Yes, and new bad line has appeared in 3.11.4 or newer kernel:

    [0.097188] pci 0000:00:1f.0: address space collision: [io  0x1000-0x107f] conflicts with ACPI CPU throttle [??? 0x00001010-0x00001015 flags 0x80000000], and the original one still existing:

[   11.345342] ACPI Warning: 0x0000000000001028-0x000000000000102f SystemIO conflicts with Region \_SB_.PCI0.LPC_.PMIO 1 (20130517/utaddress-251)
[   11.345349] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.345354] ACPI Warning: 0x00000000000011b0-0x00000000000011bf SystemIO conflicts with Region \_SB_.PCI0.LPC_.LPIO 1 (20130517/utaddress-251)
[   11.345358] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.345360] ACPI Warning: 0x0000000000001180-0x00000000000011af SystemIO conflicts with Region \_SB_.PCI0.LPC_.LPIO 1 (20130517/utaddress-251)
[   11.345364] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
Comment 3 Fedora End Of Life 2013-12-21 09:00:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2014-02-05 16:48:59 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.